Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/tests/TestSubcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/tests/TestSubcorpus.java	(revision 1060)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/tests/TestSubcorpus.java	(revision 1061)
@@ -11,7 +11,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 public class TestSubcorpus {
@@ -26,7 +26,7 @@
 	public boolean test1(File outdir) {
 		try {
 			Corpus corpus = CorpusManager.getCorpusManager().getCorpus(CORPUS);
-			Subcorpus sub = corpus.createSubcorpus(new Query("\"je\" expand to p"), "JEP"); //$NON-NLS-1$ //$NON-NLS-2$
+			Subcorpus sub = corpus.createSubcorpus(new CQLQuery("\"je\" expand to p"), "JEP"); //$NON-NLS-1$ //$NON-NLS-2$
 
 			writePositions(sub, new File(outdir, TestSubcorpus.class.getName()+"_test1.csv")); //$NON-NLS-1$
 		} catch (Exception e) {
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/tests/TestConcordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/tests/TestConcordance.java	(revision 1060)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/tests/TestConcordance.java	(revision 1061)
@@ -18,7 +18,7 @@
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * Test class for the concordances
@@ -58,7 +58,7 @@
 			if (subcorpusname != null) {
 				corpus = corpus.getSubcorpusByName(subcorpusname);
 			}
-			Query query = new Query(Query.fixQuery(queryString));
+			CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString));
 			
 			List<WordProperty> leftCSortProperties = new ArrayList<WordProperty>();
 			for (String p : leftCSortPropertiesString) leftCSortProperties.add(corpus.getProperty(p));
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1060)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1061)
@@ -61,7 +61,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -110,7 +110,7 @@
 	
 	/** The query. */
 	@Parameter(key=ConcordancePreferences.QUERY)
-	protected Query pQuery;
+	protected CQLQuery pQuery;
 	
 	
 	/** The keyword analysis properties */
@@ -286,8 +286,8 @@
 		
 		if (!this.getCorpus().equals(other.getCorpus())) return false;
 		
-		Query q1 = other.getQuery();
-		Query q2 = this.getQuery();
+		CQLQuery q1 = other.getQuery();
+		CQLQuery q2 = this.getQuery();
 		if (q1 != null && q2 != null) return q1.equals(q2);
 		
 		return true;
@@ -865,7 +865,7 @@
 	 * 
 	 * @return the query
 	 */
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return pQuery;
 	}
 
@@ -1232,7 +1232,7 @@
 
 
 
-	public void setParameters(Query query,
+	public void setParameters(CQLQuery query,
 			List<WordProperty> selectedLeftCSortProperty,
 			List<WordProperty> selectedRightCSortProperty,
 			List<WordProperty> selectedKeywordSortProperty,
@@ -1264,9 +1264,9 @@
 
 		Object p = parameters.get(ConcordancePreferences.QUERY);
 		if (p != null) {
-			if (p instanceof Query) this.pQuery = (Query)p;
+			if (p instanceof CQLQuery) this.pQuery = (CQLQuery)p;
 			else {
-				this.pQuery = new Query(p.toString());
+				this.pQuery = new CQLQuery(p.toString());
 			}
 		}
 
@@ -1731,7 +1731,7 @@
 	 * Sets the query.
 	 * @param query the query to set
 	 */
-	public void setQuery(Query query) {
+	public void setQuery(CQLQuery query) {
 		this.pQuery = query;
 	}
 
@@ -1741,7 +1741,7 @@
 	 * @param queryString
 	 */
 	public void setQuery(String queryString) {
-		this.setQuery(new Query(queryString));
+		this.setQuery(new CQLQuery(queryString));
 	}
 	
 	public void setTopIndex(int i) {
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryCooccurrence.java	(revision 1060)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryCooccurrence.java	(revision 1061)
@@ -19,7 +19,7 @@
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -29,9 +29,9 @@
 	
 	protected Corpus corpus;
 	protected int[][] coocs;
-	protected ArrayList<Query> queries1;
+	protected ArrayList<CQLQuery> queries1;
 	protected ArrayList<String> names1;
-	protected ArrayList<Query> queries2;
+	protected ArrayList<CQLQuery> queries2;
 	protected ArrayList<String> names2;
 	
 	protected int dist;
@@ -46,8 +46,8 @@
 	protected int minCooc;
 	
 	public QueryCooccurrence(Corpus corpus, 
-			ArrayList<Query> queries1, ArrayList<String> names1, 
-			ArrayList<Query> queries2, ArrayList<String> names2, 
+			ArrayList<CQLQuery> queries1, ArrayList<String> names1, 
+			ArrayList<CQLQuery> queries2, ArrayList<String> names2, 
 			int dist, int minCooc, String struct) throws CqiClientException, RWorkspaceException {
 		
 		super(corpus);
@@ -75,7 +75,7 @@
 				String query = "("+queries1.get(i)+"[]{0,"+dist+"}"+queries2.get(j)+")|("+queries2.get(j)+"[]{0,"+dist+"}"+queries1.get(i)+") "+this.struct;
 					
 				Log.info("ListCooc: query "+query);
-				QueryResult result = corpus.query(new Query(query), "tmp", false);
+				QueryResult result = corpus.query(new CQLQuery(query), "tmp", false);
 				coocs[i][j] = result.getNMatch();
 				if (coocs[i][j] >= minCooc) {
 					nEdges++;
@@ -137,7 +137,7 @@
 		return coocs;
 	}
 	
-	public ArrayList<Query> getQueries() {
+	public ArrayList<CQLQuery> getQueries() {
 		return queries1;
 	}
 	
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 1060)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 1061)
@@ -19,7 +19,7 @@
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -29,7 +29,7 @@
 	
 	protected Corpus corpus;
 	protected int[][] coocs;
-	protected ArrayList<Query> queries;
+	protected ArrayList<CQLQuery> queries;
 	protected ArrayList<String> names;
 
 	protected int dist;
@@ -48,7 +48,7 @@
 		super(corpus);
 	}
 	
-	public void setParameters(ArrayList<Query> queries, 
+	public void setParameters(ArrayList<CQLQuery> queries, 
 			ArrayList<String> names, int dist, int minCooc, String struct, boolean oriented, IProgressMonitor monitor) throws CqiClientException, RWorkspaceException {
 		this.queries = queries;
 		this.names = names;
@@ -83,7 +83,7 @@
 				}
 
 				Log.info("ListCooc: query "+query);
-				QueryResult result = corpus.query(new Query(query), "tmp", false);
+				QueryResult result = corpus.query(new CQLQuery(query), "tmp", false);
 				coocs[i][j] = result.getNMatch();
 				if (coocs[i][j] >= minCooc) {
 					nEdges++;
@@ -205,7 +205,7 @@
 		return coocs;
 	}
 
-	public ArrayList<Query> getQueries() {
+	public ArrayList<CQLQuery> getQueries() {
 		return queries;
 	}
 
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1060)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1061)
@@ -69,7 +69,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
 
@@ -152,9 +152,9 @@
 
 
 	private QueryCooccurrence computeCooc(Shell shell, Corpus corpus, CoocMatrixDialog dialog) throws IOException {
-		ArrayList<Query> queries1 = new ArrayList<Query>();
+		ArrayList<CQLQuery> queries1 = new ArrayList<CQLQuery>();
 		ArrayList<String> names1 = new ArrayList<String>();
-		ArrayList<Query> queries2 = new ArrayList<Query>();
+		ArrayList<CQLQuery> queries2 = new ArrayList<CQLQuery>();
 		ArrayList<String> names2 = new ArrayList<String>();
 
 		String struct = dialog.getStruct();
@@ -184,7 +184,7 @@
 		return cooc;
 	}
 
-	private void getQueriesAndNames(File propFile, ArrayList<Query> queries,
+	private void getQueriesAndNames(File propFile, ArrayList<CQLQuery> queries,
 			ArrayList<String> names) throws IOException {
 		BufferedReader reader = new BufferedReader(new InputStreamReader(
 				new FileInputStream(propFile), "UTF-8")); //$NON-NLS-1$
@@ -193,7 +193,7 @@
 		while (line != null) {
 			String[] split = line.split("=", 2); //$NON-NLS-1$
 			if (split.length == 2) {
-				queries.add(new Query(split[1]));
+				queries.add(new CQLQuery(split[1]));
 				names.add(split[0]);
 			}
 
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1060)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1061)
@@ -66,7 +66,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.stat.utils.ConsoleProgressBar;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 //import org.txm.functions.queryindex.*;
@@ -151,7 +151,7 @@
 
 
 	private QueryAutoCooccurrence computeCooc(Shell shell, Corpus corpus, QueryIndex element, CoocMatrixDialog dialog) {
-		ArrayList<Query> queries = new ArrayList<Query>();
+		ArrayList<CQLQuery> queries = new ArrayList<CQLQuery>();
 		ArrayList<String> names = new ArrayList<String>();
 
 		String struct = dialog.getStruct();
